Table of Contents

Class: ZopeHTTPRequest | Twisted-0.19.0/sandbox/twistedzope.py
--- | ---
Base Classes |
--- | ---
log.Logger http.Request
Methods |
--- | ---
_process appendResponseHeaders create_environment process setResponseHeaders setResponseStatus write
| _process
    _process ( self )
### Do the real processing of a request. Runs in a thread pool.
| appendResponseHeaders
    appendResponseHeaders ( self,  l )
| create_environment
    create_environment ( self )
| process
    process ( self )
### Process a request. Doesn't do the actual processing, instead runs self._process in the thread pool.
| setResponseHeaders
    setResponseHeaders ( self,  d )
| setResponseStatus
    setResponseStatus (
            self,
            status,
            reason,
            )
| write
    write ( self,  data )

Table of Contents

This document was automatically generated on Sun Jul 14 19:52:28 2002 by HappyDoc version 2.0